=== debian/changelog ===
pajladasignals (0.1.0-1) unstable; urgency=low

  * Initial release. Closes: #1120922

 -- Chow Yoong Jin <solomoncyj@gmail.com>  Tue, 18 Nov 2025 10:45:09 +0000
