=== debian/control ===
Source: pajladasignals
Section: libs
Priority: optional
Maintainer: Chow Yoong Jin <solomoncyj@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Standards-Version: 4.7.0
Homepage: https://github.com/pajlada/serialize
Rules-Requires-Root: no
#Vcs-Git: https://salsa.debian.org/debian/pajladasignals.git
#Vcs-Browser: https://salsa.debian.org/debian/pajladasignals

Package: pajladasignals-dev
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: simple C++ signal library
 This library provides signal & connection types.
 Create a Signal. Create a Connection with a lambda from the Signal.
 Invoke the signal with optional parameters
 and the Connection's lambda will fire.
