=== debian/watch ===
version=4
https://github.com/pajlada/signals/tags .*/v?(\d.*)@ARCHIVE_EXT@
